Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.jena
Class ModelExtractor

    java.lang.Object
      org.mindswap.pellet.jena.ModelExtractor

    public class ModelExtractor

extends java.lang.Object

Extract a Jena model that contains the information Pellet inferred. Models can be generated about classes, properties or individuals. Note that individual models do not contain any information about property assertions, it just contains type assertions about individuals.

Author:
  Evren Sirin

Constructor Summary
`ModelExtractor()` Initialize an empty extractor
`ModelExtractor(OWLReasoner reasoner)` Initialize the extractor with a reasoner

Method Summary
`com.hp.hpl.jena.rdf.model.Model` | `extractClassModel()`
`com.hp.hpl.jena.rdf.model.Model` | `extractClassModel(com.hp.hpl.jena.rdf.model.Model model)`
`com.hp.hpl.jena.rdf.model.Model` | `extractIndividualModel()`
`com.hp.hpl.jena.rdf.model.Model` | `extractIndividualModel(com.hp.hpl.jena.rdf.model.Model model)` extract the individual property assertions, too
`com.hp.hpl.jena.rdf.model.Model` | `extractModel()`
`com.hp.hpl.jena.rdf.model.Model` | `extractPropertyModel()`
`com.hp.hpl.jena.rdf.model.Model` | `extractPropertyModel(com.hp.hpl.jena.rdf.model.Model model)`
`OWLReasoner` | `getReasoner()`
`boolean` | `isIncludeDirects()` Returns true if direct subclass/subproperty relations will be included in extraction
`boolean` | `isVerbose()`
`void` | `setIncludeDirects(boolean includeDirects)`
`void` | `setReasoner(OWLReasoner reasoner)`
`void` | `setVerbose(boolean verbose)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelExtractor

    public ModelExtractor()

  Initialize an empty extractor

### ModelExtractor

    public ModelExtractor(OWLReasoner reasoner)

  Initialize the extractor with a reasoner

Method Detail

### extractModel

    public com.hp.hpl.jena.rdf.model.Model extractModel()

### extractClassModel

    public com.hp.hpl.jena.rdf.model.Model extractClassModel()

### extractPropertyModel

    public com.hp.hpl.jena.rdf.model.Model extractPropertyModel()

### extractIndividualModel

    public com.hp.hpl.jena.rdf.model.Model extractIndividualModel()

### extractClassModel

    public com.hp.hpl.jena.rdf.model.Model extractClassModel(com.hp.hpl.jena.rdf.model.Model model)

### extractIndividualModel

    public com.hp.hpl.jena.rdf.model.Model extractIndividualModel(com.hp.hpl.jena.rdf.model.Model model)

  extract the individual property assertions, too

### extractPropertyModel

    public com.hp.hpl.jena.rdf.model.Model extractPropertyModel(com.hp.hpl.jena.rdf.model.Model model)

### isIncludeDirects

    public boolean isIncludeDirects()

  Returns true if direct subclass/subproperty relations will be included in extraction

### setIncludeDirects

    public void setIncludeDirects(boolean includeDirects)

### isVerbose

    public boolean isVerbose()

  Returns:
    Returns the verbose.

### setVerbose

    public void setVerbose(boolean verbose)

  Parameters:
    `verbose` - The verbose to set.

### getReasoner

    public OWLReasoner getReasoner()

  Returns:
    Returns the reasoner.

### setReasoner

    public void setReasoner(OWLReasoner reasoner)

  Parameters:
    `reasoner` - The reasoner to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.